import React, { Component, ErrorInfo, ReactNode } from "react";
interface Props {
    children?: ReactNode;
}
interface State {
    hasError: boolean;
    error: string;
}
declare class ErrorBoundary extends Component<Props, State> {
    state: State;
    static getDerivedStateFromError(error: Error): State;
    componentDidCatch(error: Error, errorInfo: ErrorInfo): void;
    render(): string | number | boolean | Iterable<React.ReactNode> | React.JSX.Element | null | undefined;
}
export default ErrorBoundary;
